message( STATUS, "executing TI-CXX.cmake CMAKE_AR=${CMAKE_AR}")

# macro for amr archive utility


# setup include and library directories
get_filename_component(_TI_BIN "${CMAKE_CXX_COMPILER}" PATH)
SET(CMAKE_AR ${CMAKE_FIND_ROOT_PATH}/bin/armar)
include_directories("${CMAKE_FIND_ROOT_PATH}/include")
link_directories("${CMAKE_FIND_ROOT_PATH}/lib")

SET(CMAKE_STATIC_LIBRARY_SUFFIX ".lib")
SET(CMAKE_SHARED_LIBRARY_SUFFIX "")
SET(CMAKE_EXECUTABLE_SUFFIX ".out")
SET(CMAKE_CXX_OUTPUT_EXTENSION ".obj")

set(CMAKE_LIBRARY_PATH_FLAG "--search_path=")
set(CMAKE_LINK_LIBRARY_FLAG "-l")
set(CMAKE_INCLUDE_FLAG_C "--include_path=")

SET(CMAKE_CXX_FLAGS_INIT 
	"-mv7M4 --code_state=16 --float_support=FPv4SPD16 --abi=eabi -me --diag_warning=225 --display_error_number --diag_wrap=off" )

SET(CMAKE_CXX_LINK_FLAGS 
	"-mv7M4  --abi=eabi -me -g --define=PART_TM4C129XNCZAD --diag_warning=225 --display_error_number --diag_wrap=off -z --heap_size=0 --stack_size=512 --reread_libs --warn_sections  --display_error_number --diag_wrap=off  -rom_model --issue_remarks" )

SET(CMAKE_CXX_FLAGS_DEBUG_INIT "-g")
SET(CMAKE_CXX_FLAGS_MINSIZEREL_INIT "")
SET(CMAKE_CXX_FLAGS_RELEASE_INIT "")
SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO_INIT "")

SET(CMAKE_CXX_COMPILE_OBJECT
    "<CMAKE_CXX_COMPILER> <DEFINES> <FLAGS> --output_file <OBJECT>   -c <SOURCE>")
	
SET(CMAKE_CXX_CREATE_STATIC_LIBRARY 
     "<CMAKE_AR> r <TARGET> <OBJECTS>")
	 
SET(CMAKE_CXX_LINK_EXECUTABLE
	"<CMAKE_CXX_COMPILER> <CMAKE_CXX_LINK_FLAGS> --output_file=<TARGET> --map_file=<TARGET>.map --xml_link_info=<TARGET>_linkInfo.xml  <LINK_LIBRARIES> <LINK_FLAGS> <OBJECTS> linker.cmd" )

#---- compiler falgs
#-mv7M4 --code_state=16 --float_support=FPv4SPD16 --abi=eabi -me 
#--include_path="C:/ti/ccsv5/tools/compiler/arm_5.1.1/include" 
#-g --diag_warning=225 --display_error_number --diag_wrap=off 
#--preproc_with_compile --preproc_dependency="Employee.pp" 
	
#-------- link flags ----------

#"C:/ti/ccsv5/tools/compiler/arm_5.1.1/bin/armcl" 
#-mv7M4 
#--code_state=16 
#--float_support=FPv4SPD16 
#--abi=eabi 
#-me 
#-g 
#--define=PART_TM4C129XNCZAD 
#--diag_warning=225 
#--display_error_number 
#--diag_wrap=off 
#-z 
#-m"CommTest.map" 
#--heap_size=0 
#--stack_size=512 
#-i"C:/ti/ccsv5/tools/compiler/arm_5.1.1/lib" 
#-i"C:/SVN/Bulk/TMD4/Firmware/Trunk/lib/Release" 
#-i"C:/ti/ccsv5/tools/compiler/arm_5.1.1/include" 
#--reread_libs 
#--warn_sections 
#--display_error_number 
#--diag_wrap=off 
#--xml_link_info="CommTest_linkInfo.xml" 
#--rom_model 
#-l"C:/SVN/Bulk/TMD4/Firmware/Trunk/SYSBIOS/Default/configPkg/linker.cmd" 
#-o "CommTest.out"  
#"./main.obj" "./kentec320x240x16_ssd2119.obj" "./TestRunner.obj" 
#"../tm4c129xnczad.cmd" 
#-l"libc.a" 
#-lBFWrapper.lib 
#-lTMDHelper.lib 
#-lUI.lib 
#-lgrlib.lib 
#-ldriverlib.lib 


